Subject: New Reply Received - I have orders from 23 march but not delivered =0A=0ACan i know what's going on?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 30 Jun 2020 11:34:26 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  The customer has responded to the ticket.  I have orders from 23 march but not delivered 

Can i know what's going on?  Ticket comment <div>No this is clearly the experience all the customers are facing..  Go and check the comments on your page

Everyone is complaining they are not getting their products or their money back.  Please cancel my order and send me my money back ASAP .. BECAUSE Its since MARCH..

THIS IS NOT ACCEPTABLE 

And I'll never deal with centrepoint again.  Never. 

And I'll tell my bad experience to all my family and friends so they will not have the same bad experience</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/598786